org.apache.commons.jexl3.internal.introspection

## Class IndexedType.IndexedContainer

- java.lang.Object
- - org.apache.commons.jexl3.internal.introspection.IndexedType.IndexedContainer

- Enclosing class:
    IndexedType

      public static final class IndexedType.IndexedContainer
      extends Object

  A generic indexed property container, exposes get(key) and set(key, value) and solves method call dynamically based on arguments.

  Must remain public for introspection purpose.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(Object key)` Gets a property from this indexed container.
    `Class<?>` | `getContainerClass()` Gets the property container class.
    `String` | `getContainerName()` Gets the property container name.
    `Object` | `set(Object key, Object value)` Sets a property in this indexed container.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getContainerName

          public String getContainerName()

      Gets the property container name.
      Returns:
        the container name

    - #### getContainerClass

          public Class<?> getContainerClass()

      Gets the property container class.
      Returns:
        the container class

    - #### get

          public Object get(Object key)
                     throws Exception

      Gets a property from this indexed container.
      Parameters:
        `key` - the property key
      Returns:
        the property value
      Throws:
        `Exception` - if inner invocation fails

    - #### set

          public Object set(Object key,
                            Object value)
                     throws Exception

      Sets a property in this indexed container.
      Parameters:
        `key` - the property key
        `value` - the property value
      Returns:
        the invocation result (frequently null)
      Throws:
        `Exception` - if inner invocation fails

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.